Subject: Re: IPP>MOD - Phone Number?

From: Tom Hastings <[email-masked]>
Date: Wed, 3 Sep 1997 12:18:42 PDT

I suggest that we explore how an IPP printer could interface to the
phone network for FAX and to the Internet for IFAX as a registration
after IPP V1.0 is done, by adding one or more attributes as registration.

Some IPP people may wish to discuss whether this is a proper extension
of our IPP Printer model or not or whether using URI with parameters
is a better way to go, etc. etc.

Any proposal would take working with these other groups to get it right.

Including it now would delay getting IPP V1.0 out.

But I think it is someting that we definitely want to do with IPP.

Tom

At 13:03 09/02/97 PDT, Carl-Uno Manros wrote:
>At 12:44 PM 9/2/97 PDT, Roger K Debry wrote:
>>I've had a request from one of our operating system folks to
>>see if we could add a job attribute for a phone number. This
>>would allow me to send a job to a server that called the number
>>to deliver the output on a fax machine.
>>
>>Any thoughts???
>>
>>Roger K deBry
>
>Roger,
>
>so far, we have avoided stepping on the toes of the IFAX group, which is
>what I think this would lead up to.  Also, I do not see the real need for
>this.  If your output device happens to be a fax machine, your IPP Printer
>should know how to contact the fax machine; it could even be sneaky enough
>to include it a part of the Printer URI.  I know that this would require a
>unique IPP Printer id for every fax machine, but if you want to start
>defining a fax off ramp (in IFAX terminology) as part of IPP, you are going
>to need a lot more than just the phone number, apart from making enemies in
>the IFAX camp.
>
>In summary, I think we should leave this for implementors that might like
>to provide bridges between IPP and IFAX (or current fax) in their products.
>
>Carl-Uno
>Carl-Uno Manros
>Principal Engineer - Advanced Printing Standards - Xerox Corporation
>701 S. Aviation Blvd., El Segundo, CA, M/S: ESAE-231
>Phone +1-310-333 8273, Fax +1-310-333 5514
>Email: [email-masked]
>
>

---

From: Roger K Debry <[email-masked]>
Date: Wed, 3 Sep 1997 16:19:56 -0400

Thanks Tom. I agree that this could be postponed, but I think it is worth
approaching the IFAX group
with a proposal for how the two standards might work together.

Roger K deBry
Senior Technical Staff Member
Architecture and Technology
IBM Printing Systems
email: [email-masked]
phone: 1-303-924-4080

---------------------- Forwarded by Roger K Debry/Boulder/IBM on 09/03/97 02:05
PM ---------------------------

        ipp-owner @ pwg.org
        09/03/97 01:31 PM
Please respond to [email-masked] @ internet

To: cmanros @ cp10.es.xerox.com @ internet
cc: ipp @ pwg.org @ internet, Roger K Debry/Boulder/IBM
Subject: Re: IPP>MOD - Phone Number?

Tom